GuidewireSim.StressTestPerformer Class Reference
Inheritance diagram for GuidewireSim.StressTestPerformer:

## Private Member Functions

void | Awake ()
void | Start ()
void | PerformStressTests ()
IEnumerator | PerformStressTestOne (float applyForceTime=1f)

## Private Attributes

SimulationLoop | simulationLoop
| The SimulationLoop component that executes all steps of the simulation loop. More...
bool | doStressTestOne = false

## Detailed Description

This class enables the user to test the impact of mutliple external forces and external torques with one button within the Unity inspector.

Attention
  In the current version, the user is not able to fix positions or orientations of the guidewire, which is necessary e.g. for stress test one.

## Member Function Documentation

## Awake()

void GuidewireSim.StressTestPerformer.Awake | ( |  | ) |

private

## PerformStressTestOne()

IEnumerator GuidewireSim.StressTestPerformer.PerformStressTestOne | ( | float | applyForceTime = `1f` | ) |

private

Performs stress test one. This test fixes the position of one end of the guidewire, and applies `pullForce` at the other end for `applyForceTime` seconds, and then applies - `pullForce` for another `applyForceTime` seconds.

Parameters

  applyForceTime | For how many seconds to apply the force to the particles.

Attention
  In the current version, the user is not able to fix positions or orientations of the guidewire, which is necessary e.g. for stress test one.

Requirements:
  Output a log message when no further forces are applied to the guidewire.

## PerformStressTests()

void GuidewireSim.StressTestPerformer.PerformStressTests | ( |  | ) |

private

Performs each Stress Test whose respective serialized boolean is set to true in the Unity inspector.

## Start()

void GuidewireSim.StressTestPerformer.Start | ( |  | ) |

private

## Member Data Documentation

## doStressTestOne

bool GuidewireSim.StressTestPerformer.doStressTestOne = false

private

Whether to run Stress Test One. This test fixes the position of one end of the guidewire, and applies `pullForce` at the other end for `applyForceTime` seconds, and then applies - `pullForce` for another `applyForceTime` seconds.

## simulationLoop

SimulationLoop GuidewireSim.StressTestPerformer.simulationLoop

private

The SimulationLoop component that executes all steps of the simulation loop.

The documentation for this class was generated from the following file:

- StressTestPerformer.cs